### Signal

# Gio AppLaunchContext::launched

since: 2.36

#### Declaration

    void
    launched (
      GAppLaunchContext* self,
      GAppInfo* info,
      GVariant* platform_data,
      gpointer user_data
    )

#### Description

The `GAppLaunchContext::launched` signal is emitted when a `GAppInfo` is successfully launched.

Because a launch operation may involve spawning multiple instances of the target application, you should expect this signal to be emitted multiple times, one time for each spawned instance.

The `platform_data` is an GVariant dictionary mapping strings to variants (ie `a{sv}`), which contains additional, platform-specific data about this launch. On UNIX, at least the `pid` and `startup-notification-id` keys will be present.

Since 2.72 the `pid` may be 0 if the process id wasn’t known (for example if the process was launched via D-Bus). The `pid` may not be set at all in subsequent releases.

On Windows, `pid` is guaranteed to be valid only for the duration of the `GAppLaunchContext::launched` signal emission; after the signal is emitted, GLib will call g_spawn_close_pid(). If you need to keep the `GPid` after the signal has been emitted, then you can duplicate `pid` using `DuplicateHandle()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.36

#### Parameters

`info`

  Type: `GAppInfo`

  The `GAppInfo` that was just launched.

  The data is owned by the caller of the function.

`platform_data`

  Type: `GVariant`

  Additional platform-specific data for this launch.

  The data is owned by the caller of the function.